import { SectionBuilder } from './sectionBuilder';
export class GridLayoutBuilder {
    parentBuilder;
    name;
    sectionBuilders;
    constructor(parrentBuilder) {
        this.parentBuilder = parrentBuilder;
        this.sectionBuilders = [];
    }
    withName(name) {
        this.name = name;
        return this;
    }
    addSection(sectionBuilder) {
        const builder = sectionBuilder === null || sectionBuilder === undefined ? new SectionBuilder(this) : sectionBuilder;
        this.sectionBuilders.push(builder);
        return builder;
    }
    withSimpleSection(gridSize) {
        this.addSection().withGridSize(gridSize).done();
        return this;
    }
    done() {
        return this.parentBuilder;
    }
    build() {
        return {
            name: this.name,
            sections: this.sectionBuilders.map((builder) => {
                return builder.build();
            }),
        };
    }
}
//# sourceMappingURL=gridLayoutBuilder.js.map