import { BaseProperty } from './baseProperty';
/**
 * @param  {string} name Property name
 * @param  {string} alias Property alias
 * @param  {boolean} multiSelect Bool if Dropdown values can be multi selected
 * @param  {string[]} values Optional string array of values in the dropdown
 */
export class DropDownProperty extends BaseProperty {
    values;
    multiSelect;
    constructor(name, alias, multiSelect = false, values) {
        super(name, alias);
        if (values !== undefined) {
            this.values = values;
        }
        this.multiSelect = multiSelect;
    }
}
//# sourceMappingURL=dropDownProperty.js.map